Module javafx.base
Package javafx.beans.value

# Interface ObservableListValue<E>

Type Parameters:
  `E` - the type of the `List` elements

All Superinterfaces:
  `Collection<E>`, `Iterable<E>`, `List<E>`, `Observable`, `ObservableList<E>`, `ObservableObjectValue<ObservableList<E>>`, `ObservableValue<ObservableList<E>>`, `SequencedCollection<E>`

All Known Implementing Classes:
  `ListBinding`, `ListExpression`, `ListProperty`, `ListPropertyBase`, `ReadOnlyListProperty`, `ReadOnlyListPropertyBase`, `ReadOnlyListWrapper`, `SimpleListProperty`

public interface ObservableListValue<E> extends ObservableObjectValue<ObservableList<E>>, ObservableList<E>
An observable reference to an `ObservableList`.

Since:
  JavaFX 2.1
See Also:
  - `ObservableList`
  - `ObservableObjectValue`
  - `ObservableValue`

## Method Summary

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, addFirst, addLast, clear, contains, containsAll, equals, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, set, size, sort, spliterator, subList, toArray, toArray`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface javafx.collections.ObservableList

`addAll, addListener, filtered, remove, removeAll, removeListener, retainAll, setAll, setAll, sorted, sorted`

### Methods inherited from interface javafx.beans.value.ObservableObjectValue

`get`

### Methods inherited from interface javafx.beans.value.ObservableValue

`addListener, getValue, removeListener`